be.vlaanderen.mercurius.mohm.schemas.v1

## Class CancelApplicationResponseType

- java.lang.Object
- - be.vlaanderen.mercurius.mohm.schemas.v1.CancelApplicationResponseType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-06-08T05:35:59+02:00",
                 comments="JAXB RI v2.2.11")
      public class CancelApplicationResponseType
      extends Object
      implements Serializable

  Groeperend element voor het antwoord op de vraag tot annulering.

  Java class for CancelApplicationResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CancelApplicationResponseType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="VSBReference" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}VSBReferenceType" minOccurs="0"/>
               <choice>
                 <element name="Accepted" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}CancelApplicationAcceptedType"/>
                 <element name="NotAccepted" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}CancelApplicationNotAcceptedType"/>
               </choice>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CancelApplicationResponseType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CancelApplicationAcceptedType` | `getAccepted()` Gets the value of the accepted property.
    `CancelApplicationNotAcceptedType` | `getNotAccepted()` Gets the value of the notAccepted property.
    `String` | `getVSBReference()` Gets the value of the vsbReference property.
    `void` | `setAccepted(CancelApplicationAcceptedType value)` Sets the value of the accepted property.
    `void` | `setNotAccepted(CancelApplicationNotAcceptedType value)` Sets the value of the notAccepted property.
    `void` | `setVSBReference(String value)` Sets the value of the vsbReference property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CancelApplicationResponseType

          public CancelApplicationResponseType()

  - ### Method Detail

    - #### getVSBReference

          public String getVSBReference()

      Gets the value of the vsbReference property.
      Returns:
        possible object is `String`

    - #### setVSBReference

          public void setVSBReference(String value)

      Sets the value of the vsbReference property.
      Parameters:
        `value` - allowed object is `String`

    - #### getNotAccepted

          public CancelApplicationNotAcceptedType getNotAccepted()

      Gets the value of the notAccepted property.
      Returns:
        possible object is `CancelApplicationNotAcceptedType`

    - #### setNotAccepted

          public void setNotAccepted(CancelApplicationNotAcceptedType value)

      Sets the value of the notAccepted property.
      Parameters:
        `value` - allowed object is `CancelApplicationNotAcceptedType`

    - #### getAccepted

          public CancelApplicationAcceptedType getAccepted()

      Gets the value of the accepted property.
      Returns:
        possible object is `CancelApplicationAcceptedType`

    - #### setAccepted

          public void setAccepted(CancelApplicationAcceptedType value)

      Sets the value of the accepted property.
      Parameters:
        `value` - allowed object is `CancelApplicationAcceptedType`

Connector Packaging TRUSSMAKER 4.1.2 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.